aboutsummaryrefslogtreecommitdiffstats
path: root/macosx-support-lib-patches
diff options
context:
space:
mode:
Diffstat (limited to 'macosx-support-lib-patches')
-rwxr-xr-xmacosx-support-lib-patches/qt-fix-pc-file16
-rwxr-xr-xmacosx-support-lib-patches/qt-fix-pc-files15
2 files changed, 31 insertions, 0 deletions
diff --git a/macosx-support-lib-patches/qt-fix-pc-file b/macosx-support-lib-patches/qt-fix-pc-file
new file mode 100755
index 0000000000..8d331ca3b6
--- /dev/null
+++ b/macosx-support-lib-patches/qt-fix-pc-file
@@ -0,0 +1,16 @@
+#! /bin/sh
+#
+# Fix a single Qt .pc file to provide the right flags; a -F flag is
+# needed to point to the directory under which the frameworks are
+# placed, and a -I flag needs to point to the directory where
+# the include files for the component in question are place in
+# the framework's directory hierarchy, rather thany to where the
+# include files *would* be if the component *weren't* distributed
+# as a framework.
+#
+ed - "$1" <<EOF
+H
+/^Cflags: /s;-I\${includedir}/\([A-Za-z0-9]*\);-I\${libdir}/\1.framework/Versions/5/Headers;p
+/^Cflags: /s;;Cflags: -F\${libdir} ;p
+w
+q
diff --git a/macosx-support-lib-patches/qt-fix-pc-files b/macosx-support-lib-patches/qt-fix-pc-files
new file mode 100755
index 0000000000..52e3dcca95
--- /dev/null
+++ b/macosx-support-lib-patches/qt-fix-pc-files
@@ -0,0 +1,15 @@
+#! /bin/sh
+#
+# Fix the .pc files for versions of Qt installed from binary packages.
+#
+# See bug QTBUG-35256 for the full painful story. Shorter version:
+# the OS X Qt packages provide the Qt components as frameworks, but
+# the .pc files don't generate the right CFLAGS/CXXFLAGS to make
+# that work, so autoconf doesn't work correctly.
+#
+if [ "$#" != 1 ]
+then
+ echo "Usage: qt-fix-pc-files <top-level Qt directory>" 1>&1
+ exit 1
+fi
+find "$1" -name '*.pc" -exec ./qt-fix-pc-file {} ";"